Package org.apache.solr.client.solrj.impl

# Class LBSolrClient.EndpointIterator

java.lang.Object
org.apache.solr.client.solrj.impl.LBSolrClient.EndpointIterator

Enclosing class:
  `LBSolrClient`

public static class LBSolrClient.EndpointIterator extends Object

## Constructor Summary

Constructors
Constructor
Description
`EndpointIterator(LBSolrClient.Req req, Map<String,LBSolrClient.EndpointWrapper> zombieServers)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`LBSolrClient.Endpoint`
`nextOrError()`
`LBSolrClient.Endpoint`
`nextOrError(Exception previousEx)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EndpointIterator

public EndpointIterator(LBSolrClient.Req req, Map<String,LBSolrClient.EndpointWrapper> zombieServers)

## Method Details

### hasNext

public boolean hasNext()

### nextOrError

public LBSolrClient.Endpoint nextOrError() throws SolrServerException

Throws:
  `SolrServerException`

### nextOrError

public LBSolrClient.Endpoint nextOrError(Exception previousEx) throws SolrServerException

Throws:
  `SolrServerException`